Subject: RE: Update to RFC 2489 (REMINDER!)

From: Nathan Lane <[email-masked]>
Date: Fri, 9 Jun 2000 11:40:32 -0500

I'd really like to see some clarification on the "private use" option
namespace.

It looks to me like we've ceeded the 128-254 option space to vendors who may
not care to read all relevant documentation and hence will choose to use
"private use" options over the vendor encapsulated space (also in need of a
little clarification) due to lack of understanding, code expediency or a
variety of other possible reasons.  It's okay with me if we do abandon
control of 128-254, but I see it is an issue for the future and I've
certainly run into it before.  Take the case when a device A doesn't support
vendor encaps, client identifiers or anything else and needs option 129, but
it's a different 129 from device B...I have very few classing mechanisms
available from the devices in this case, leaving me to use MAC prefices
which are subject to the whim of the manufacturer in many cases.

This case, could we define "private use" as "not to be implemented in a
product sold to the general public"?  Or a requirement that private use
options be changable by the end user?

I do like the review procedures and expansion in
<draft-ietf-dhc-option-review-and-namespace-02.txt> for options, message
types, etc. that are in the public space.

-Nathan Lane
Wal-Mart Stores, Inc.
(501) 277-5786

> -----Original Message-----
> From:	Ralph Droms [SMTP:[email-masked]]
> Sent:	Thursday, June 08, 2000 2:51 PM
> To:	DHCPv4 discussion list
> Subject:	Update to RFC 2489 (REMINDER!)
> 
> REMINDER - Respond by this Friday, 6/9, if you have any
> comments about draft-ietf-dhc-new-opt-msg-00.txt
> 
> ===============================================================
> 
> I've published "Procedure for Defining New DHCP
> Options and Message Types" <draft-ietf-dhc-new-opt-msg-00.txt>,
> which is intended to replace RFC 2489.  The new I-D
> gives a procedure for issuing new DHCP message types as well as
> new option codes.  We need to have this procedure in place
> to assign a new message type code for the RECONFIGURE option
> as described in <draft-ietf-dhc-pv4-reconfigure-00.txt>.
> 
> The draft mentions the new options review procedure,
> which is currently documented in
> draft-ietf-dhc-option-review-and-namespace-02.txt,
> and requires that new options and message types be reviewed
> through any new procedure accepted by the DHC WG.
> 
> This new document is a simple update to the current
> procedure for accepting new options.  If the document
> is not controversial, I will fast-track it through the
> WG and go to last call some time next week.  If the WG
> would like to engage in a longer discussion, the
> document will go through the normal WG review procedure.
> 
> Please review the document and reply to the mailing
> list with comments...
> 
> - Ralph
> 
>    

**********************************************************************
This email and any files transmitted with it are confidential
and intended solely for the individual or entity to 
whom they are addressed.  If you have received this email 
in error please notify the Wal-Mart E-mail administrator at
" [email-masked] ".
**********************************************************************